DOM::HTMLImageElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLImageElement Class Reference

Embedded image. More...

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLImageElement:

[legend]
Collaboration diagram for DOM::HTMLImageElement:

[legend]
List of all members.

## Public Member Functions
| HTMLImageElement (const HTMLImageElement &other)
| HTMLImageElement (const Node &other)
HTMLImageElement & | operator= (const HTMLImageElement &other)
HTMLImageElement & | operator= (const Node &other)
DOMString | name () const
| The name of the element (for backwards compatibility).
void | setName (const DOMString &)
| see name
DOMString | align () const
| Aligns this object (vertically or horizontally) with respect to its surrounding text.
void | setAlign (const DOMString &)
| see align
DOMString | alt () const
| Alternate text for user agents not rendering the normal content of this element.
void | setAlt (const DOMString &)
| see alt
DOMString | getBorder () const
| Width of border around image.
void | setBorder (const DOMString &)
| see border
long | border () const
| This class or method is obsolete, it is provided for compatibility only.
void | setBorder (long)
| This class or method is obsolete, it is provided for compatibility only.
long | height () const
| Override height.
void | setHeight (long)
| see height
long | hspace () const
| Horizontal space to the left and right of this image.
void | setHspace (long)
| see hspace
bool | isMap () const
| Use server-side image map.
void | setIsMap (bool)
| see isMap
DOMString | longDesc () const
| URI designating a long description of this image or frame.
void | setLongDesc (const DOMString &)
| see longDesc
DOMString | src () const
| URI designating the source of this image.
void | setSrc (const DOMString &)
| see src
DOMString | useMap () const
| Use client-side image map.
void | setUseMap (const DOMString &)
| see useMap
long | vspace () const
| Vertical space above and below this image.
void | setVspace (long)
| see vspace
long | width () const
| Override width.
void | setWidth (long)
| see width
## Protected Member Functions
| HTMLImageElement (HTMLImageElementImpl *impl)

## Detailed Description

Embedded image.

See the IMG element definition in HTML 4.0.

Definition at line 184 of file html_image.h.

## Member Function Documentation

DOMString HTMLImageElement::name | ( |  | ) | const

| The name of the element (for backwards compatibility). Definition at line 192 of file html_image.cpp.

void HTMLImageElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 198 of file html_image.cpp.

DOMString HTMLImageElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 203 of file html_image.cpp.

void HTMLImageElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 209 of file html_image.cpp.

DOMString HTMLImageElement::alt | ( |  | ) | const

| Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. Definition at line 214 of file html_image.cpp.

void HTMLImageElement::setAlt | ( | const DOMString & |  | ) |

| see alt Definition at line 220 of file html_image.cpp.

DOMString HTMLImageElement::getBorder | ( |  | ) | const

| Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 237 of file html_image.cpp.

void HTMLImageElement::setBorder | ( | const DOMString & |  | ) |

| see border Definition at line 243 of file html_image.cpp.

long HTMLImageElement::border | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 225 of file html_image.cpp.

void HTMLImageElement::setBorder | ( | long |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 232 of file html_image.cpp. References QString::number().

long HTMLImageElement::height | ( |  | ) | const

| Override height. See the height attribute definition in HTML 4.0. Definition at line 249 of file html_image.cpp.

void HTMLImageElement::setHeight | ( | long |  | ) |

| see height Definition at line 255 of file html_image.cpp. References QString::number().

long HTMLImageElement::hspace | ( |  | ) | const

| Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 260 of file html_image.cpp.

void HTMLImageElement::setHspace | ( | long |  | ) |

| see hspace Definition at line 267 of file html_image.cpp. References QString::number().

bool HTMLImageElement::isMap | ( |  | ) | const

| Use server-side image map. See the ismap attribute definition in HTML 4.0. Definition at line 272 of file html_image.cpp.

void HTMLImageElement::setIsMap | ( | bool |  | ) |

| see isMap Definition at line 278 of file html_image.cpp.

DOMString HTMLImageElement::longDesc | ( |  | ) | const

| URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0. Definition at line 289 of file html_image.cpp.

void HTMLImageElement::setLongDesc | ( | const DOMString & |  | ) |

| see longDesc Definition at line 295 of file html_image.cpp.

DOMString HTMLImageElement::src | ( |  | ) | const

| URI designating the source of this image. See the src attribute definition in HTML 4.0. Definition at line 300 of file html_image.cpp. References DOM::Document::completeURL(), DOM::DOMString::isEmpty(), and DOM::Node::ownerDocument().

void HTMLImageElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 310 of file html_image.cpp.

DOMString HTMLImageElement::useMap | ( |  | ) | const

| Use client-side image map. See the usemap attribute definition in HTML 4.0. Definition at line 315 of file html_image.cpp.

void HTMLImageElement::setUseMap | ( | const DOMString & |  | ) |

| see useMap Definition at line 321 of file html_image.cpp.

long HTMLImageElement::vspace | ( |  | ) | const

| Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 326 of file html_image.cpp.

void HTMLImageElement::setVspace | ( | long |  | ) |

| see vspace Definition at line 333 of file html_image.cpp. References QString::number().

long HTMLImageElement::width | ( |  | ) | const

| Override width. See the width attribute definition in HTML 4.0. Definition at line 338 of file html_image.cpp.

void HTMLImageElement::setWidth | ( | long |  | ) |

| see width Definition at line 344 of file html_image.cpp. References QString::number().

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:34 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001